Bug 814962 - [abrt] nautilus-3.4.0-1.fc17: gtk_box_pack: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
[abrt] nautilus-3.4.0-1.fc17: gtk_box_pack: Process /usr/bin/nautilus was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ef576bb16f70dec8b5894276873...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 12:14 EDT by Lee Ball
Modified: 2013-07-31 23:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:55:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.44 KB, text/plain)
2012-04-21 12:14 EDT, Lee Ball
no flags Details
File: maps (71.46 KB, text/plain)
2012-04-21 12:14 EDT, Lee Ball
no flags Details
File: dso_list (14.52 KB, text/plain)
2012-04-21 12:14 EDT, Lee Ball
no flags Details
File: build_ids (6.05 KB, text/plain)
2012-04-21 12:14 EDT, Lee Ball
no flags Details

  None (edit)
Description Lee Ball 2012-04-21 12:14:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        nautilus
comment:        I deleted a folder in Nautlius. I also had an FTPS (SSH) connection open in another window.
crash_function: gtk_box_pack
executable:     /usr/bin/nautilus
kernel:         3.3.2-1.fc17.x86_64
pid:            13839
pwd:            /home/lee
remote_result:  NOTFOUND
time:           Sat 21 Apr 2012 17:04:33 BST
uid:            1000
username:       lee

backtrace:      Text file, 35263 bytes
build_ids:      Text file, 6191 bytes
dso_list:       Text file, 14870 bytes
maps:           Text file, 73177 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/lee/3

core_backtrace:
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0xb0b16 - libgtk-3.so.0 -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x30858 - [exe] -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x32b48 - [exe] -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x1066b g_cclosure_marshal_generic_va libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:646f3d66c56d94c666c91e02f3013123df1e5750 0xcf6f - libgvfscommon.so.0 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x1d685 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0xf90d dbus_connection_dispatch libdbus-1.so.3 -
:646f3d66c56d94c666c91e02f3013123df1e5750 0x9835 - libgvfscommon.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x97cfc g_application_run libgio-2.0.so.0 -
:87d3ab814543b418c960c97cf92a4b76438f93f7 0x2aee9 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=fedora17.starwars
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/lee/keyring-l3nYd7
:IMSETTINGS_MODULE=none
:USER=lee
:USERNAME=lee
:MAIL=/var/spool/mail/lee
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/lee/.local/bin:/home/lee/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/lee
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1014
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/lee
:SHLVL=1
:LOGNAME=lee
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rDtxMUgFYJ,guid=f348f37b988bc14dd588267600000c85
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/lee
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-lee-wOyFwc/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1018,unix/unix:/tmp/.ICE-unix/1018
:GPG_AGENT_INFO=/run/user/lee/keyring-l3nYd7/gpg:0:1
:SSH_AUTH_SOCK=/run/user/lee/keyring-l3nYd7/ssh
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nautilus.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=13839
:DESKTOP_STARTUP_ID=gnome-shell-1236-fedora17.starwars-nautilus-7_TIME17388276

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31479                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31479                31479                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/lee/.xsession-errors
:pos:	67695
:flags:	0102002
:2:/home/lee/.xsession-errors
:pos:	67695
:flags:	0102002
:3:socket:[1608848]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1608432]
:pos:	0
:flags:	02004002
:6:socket:[1608434]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[1608438]
:pos:	0
:flags:	02004002
:11:socket:[1608436]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:/proc/13839/mounts
:pos:	0
:flags:	0100000
:14:/home/lee/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:15:/home/lee/.local/share/gvfs-metadata/home-eba8a391.log
:pos:	0
:flags:	0100000
:16:socket:[1608447]
:pos:	0
:flags:	02004002
:17:socket:[1608451]
:pos:	0
:flags:	02
:18:socket:[1608453]
:pos:	0
:flags:	02004002
:19:/home/lee/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:20:socket:[1608457]
:pos:	0
:flags:	02
:21:socket:[1608459]
:pos:	0
:flags:	02004002
:22:/home/lee/.local/share/gvfs-metadata/root-1c3d4323.log
:pos:	0
:flags:	0100000
:23:socket:[1608693]
:pos:	0
:flags:	02
:24:socket:[1608694]
:pos:	0
:flags:	02004002
:25:socket:[1644193]
:pos:	0
:flags:	02
:26:socket:[1644195]
:pos:	0
:flags:	02004002
:27:socket:[1645964]
:pos:	0
:flags:	02
:28:socket:[1645965]
:pos:	0
:flags:	02004002
:29:/home/lee/.local/share/gvfs-metadata/sftp:host=www.leenukes.co.uk,port=722,user=leenscou
:pos:	0
:flags:	0100000
:30:/home/lee/.local/share/gvfs-metadata/sftp:host=www.leenukes.co.uk,port=722,user=leenscou-c8b7bd43.log
:pos:	0
:flags:	0100000

var_log_messages:
:Apr 20 20:29:31 fedora17 yum[2272]: Updated: file-roller-nautilus-3.4.1-1.fc17.x86_64
:Apr 20 20:29:44 fedora17 yum[2272]: Updated: brasero-nautilus-3.4.1-1.fc17.x86_64
:Apr 21 17:04:33 fedora17 kernel: [17648.271437] nautilus[13839]: segfault at 28 ip 0000003955cb0b16 sp 00007fff726a3bb0 error 4 in libgtk-3.so.0.400.1[3955c00000+471000]
:Apr 21 17:04:33 fedora17 abrt[14019]: Saved core dump of pid 13839 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-04-21-17:04:33-13839 (50962432 bytes)

xsession_errors:
:Initializing nautilus-open-terminal extension
:Shutting down nautilus-open-terminal extension
:Initializing nautilus-open-terminal extension
:(nautilus:9664): Gtk-WARNING **: Refusing to add non-unique action 'NautilusOpenTerminal::open_terminal' to action group 'ExtensionsMenuGroup'
:Shutting down nautilus-open-terminal extension
:Initializing nautilus-open-terminal extension
:(nautilus:13839): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkEntry'
:(nautilus:13839): Gtk-CRITICAL **: gtk_entry_get_text: assertion `GTK_IS_ENTRY (entry)' failed
:(nautilus:13839): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkInfoBar'
:(nautilus:13839): Gtk-CRITICAL **: gtk_info_bar_set_message_type: assertion `GTK_IS_INFO_BAR (info_bar)' failed
:(nautilus:13839): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkInfoBar'
:(nautilus:13839): Gtk-CRITICAL **: gtk_info_bar_get_content_area: assertion `GTK_IS_INFO_BAR (info_bar)' failed
Comment 1 Lee Ball 2012-04-21 12:14:22 EDT
Created attachment 579201 [details]
File: backtrace
Comment 2 Lee Ball 2012-04-21 12:14:25 EDT
Created attachment 579202 [details]
File: maps
Comment 3 Lee Ball 2012-04-21 12:14:27 EDT
Created attachment 579203 [details]
File: dso_list
Comment 4 Lee Ball 2012-04-21 12:14:29 EDT
Created attachment 579204 [details]
File: build_ids
Comment 5 Fedora Admin XMLRPC Client 2013-05-08 20:05:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-08 20:07:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-08 20:10:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-07-03 20:20:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 23:55:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.